Bug 112546 - [GTK] Build GTK-specific, non-layer-violating source code into WebCore-independent libPlatformGtk.la
Summary: [GTK] Build GTK-specific, non-layer-violating source code into WebCore-indepe...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords: Gtk
Depends on:
Blocks: 110330
  Show dependency treegraph
 
Reported: 2013-03-18 02:53 PDT by Zan Dobersek
Modified: 2013-03-28 11:56 PDT (History)
10 users (show)

See Also:


Attachments
Patch (576.56 KB, patch)
2013-03-18 03:21 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff
Provisional patch (61.21 KB, patch)
2013-03-20 09:15 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (63.32 KB, patch)
2013-03-26 10:02 PDT, Zan Dobersek
mrobinson: review+
gtk-ews: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2013-03-18 02:53:31 PDT
SSIA. There's already some amount of GTK-specific source files that contain no platform layer violations and can be migrated to Source/Platform.
Comment 1 Zan Dobersek 2013-03-18 03:21:35 PDT
Created attachment 193514 [details]
Patch
Comment 2 WebKit Review Bot 2013-03-18 03:32:01 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 WebKit Review Bot 2013-03-18 03:32:24 PDT
Attachment 193514 [details] did not pass style-queue:

Source/Platform/gtk/GtkClickCounter.cpp:78:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkClickCounter.cpp:79:  Use 0 instead of NULL.  [readability/null] [5]
Source/Platform/gtk/GtkClickCounter.cpp:79:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit2/UIProcess/API/gtk/WebKitWebViewBase.cpp:47:  Alphabetical sorting problem.  [build/include_order] [4]
Source/Platform/gtk/RedirectedXCompositeWindow.h:73:  Omit int when using unsigned  [runtime/unsigned] [1]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:44:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:50:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:156:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:157:  One space before end of line comments  [whitespace/comments] [5]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:159:  One space before end of line comments  [whitespace/comments] [5]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:161:  Extra space between return and VK_NUMPAD2  [whitespace/declaration] [3]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:167:  Should have a space between // and comment  [whitespace/comments] [4]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:215:  Should have a space between // and comment  [whitespace/comments] [4]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:221:  One space before end of line comments  [whitespace/comments] [5]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:269:  One space before end of line comments  [whitespace/comments] [5]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:280:  One space before end of line comments  [whitespace/comments] [5]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:289:  Should have a space between // and comment  [whitespace/comments] [4]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:438:  Should have a space between // and comment  [whitespace/comments] [4]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:442:  Should have a space between // and comment  [whitespace/comments] [4]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:446:  Should have a space between // and comment  [whitespace/comments] [4]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:450:  Should have a space between // and comment  [whitespace/comments] [4]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:454:  Should have a space between // and comment  [whitespace/comments] [4]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:458:  Should have a space between // and comment  [whitespace/comments] [4]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:462:  Should have a space between // and comment  [whitespace/comments] [4]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:466:  Should have a space between // and comment  [whitespace/comments] [4]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:470:  Should have a space between // and comment  [whitespace/comments] [4]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:528:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/Platform/gtk/PlatformKeyboardEventGtk.cpp:560:  Omit int when using unsigned  [runtime/unsigned] [1]
Source/Platform/gtk/RedirectedXCompositeWindow.cpp:133:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/RedirectedXCompositeWindow.cpp:134:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/RedirectedXCompositeWindow.cpp:135:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/RedirectedXCompositeWindow.cpp:136:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/RedirectedXCompositeWindow.cpp:137:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/RedirectedXCompositeWindow.cpp:138:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/RedirectedXCompositeWindow.cpp:139:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/RedirectedXCompositeWindow.cpp:140:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/RedirectedXCompositeWindow.cpp:240:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/Platform/gtk/UserAgentGtk.cpp:92:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/Platform/gtk/audio/AudioBusGtk.cpp:30:  Alphabetical sorting problem.  [build/include_order] [4]
Source/Platform/gtk/KURLGtk.cpp:27:  Alphabetical sorting problem.  [build/include_order] [4]
Source/Platform/gtk/GtkWidgetBackingStoreX11.cpp:62:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkWidgetBackingStoreX11.cpp:63:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkWidgetBackingStoreX11.cpp:64:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkWidgetBackingStoreX11.cpp:68:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkWidgetBackingStoreX11.cpp:69:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkWidgetBackingStoreX11.cpp:103:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkWidgetBackingStoreX11.cpp:104:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkWidgetBackingStoreX11.cpp:105:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkWidgetBackingStoreX11.cpp:107:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkWidgetBackingStoreX11.cpp:108:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/network/CredentialBackingStore.cpp:57:  Use 0 instead of NULL.  [readability/null] [5]
Source/Platform/gtk/GtkInputMethodFilter.h:93:  Omit int when using unsigned  [runtime/unsigned] [1]
WARNING: File exempt from style guide. Skipping: "Source/WebKit2/UIProcess/API/gtk/WebKit2GtkAuthenticationDialog.h"
Source/Platform/gtk/GtkPopupMenu.cpp:30:  Alphabetical sorting problem.  [build/include_order] [4]
Source/Platform/gtk/GtkPopupMenu.cpp:130:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:51:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:52:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:53:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:54:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:55:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:56:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:57:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:58:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:59:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:60:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:61:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:64:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:65:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:66:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:67:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:68:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:69:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:70:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:71:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:72:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:73:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:74:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:78:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:79:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:80:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:81:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:82:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:83:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:84:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:85:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:86:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:87:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:88:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:91:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:92:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:93:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:94:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:95:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:96:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:97:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:98:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:99:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:100:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:101:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:105:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:106:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:107:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:108:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:109:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:110:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:111:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:112:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:113:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:114:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:115:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:118:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:119:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:120:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:121:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:122:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:123:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:124:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:125:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:126:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:127:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:128:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:132:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:133:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:134:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:135:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:136:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:137:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:138:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:139:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:140:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:141:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:142:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:145:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:146:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:147:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:148:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:149:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:150:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:151:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:152:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:153:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:154:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:155:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:159:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:160:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:161:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:162:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:163:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:164:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:165:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:166:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:167:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:168:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:169:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:172:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:173:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:174:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:175:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:176:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:177:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:178:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:179:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:180:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:181:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:182:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:186:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:187:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:188:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:189:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:190:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:191:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:192:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:193:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:194:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:195:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:196:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:199:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:200:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:201:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:202:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:203:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:204:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:205:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:206:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:207:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:208:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:209:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:213:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:214:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:215:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:216:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:217:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:218:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:219:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:220:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:221:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:222:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:223:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:226:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:227:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:228:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:229:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:230:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:231:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:232:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:233:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:234:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:235:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:236:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:240:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:241:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:242:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:243:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:244:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:245:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:246:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:247:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:248:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:249:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:250:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:253:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:254:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:255:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:256:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:257:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:258:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:259:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:260:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:261:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:262:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:263:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:267:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:268:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:269:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:270:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:271:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:272:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:273:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:274:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:275:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:276:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:277:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:280:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:281:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:282:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:283:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:284:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:285:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:286:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:287:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:288:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:289:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:290:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:294:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:295:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:296:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:297:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:298:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:299:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:300:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:301:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:302:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:303:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:304:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:307:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:308:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:309:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:310:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:311:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:312:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:313:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:314:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:315:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:316:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:317:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:321:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:322:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:323:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:324:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:325:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:326:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:327:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:328:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:329:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:330:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:331:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:334:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:335:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:336:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:337:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:338:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:339:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:340:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:341:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:342:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:343:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/CursorGtk.h:344:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/TemporaryLinkStubs.cpp:42:  More than one command on the same line  [whitespace/newline] [4]
Source/Platform/gtk/SharedBufferGtk.cpp:24:  Alphabetical sorting problem.  [build/include_order] [4]
Source/Platform/gtk/graphics/GdkCairoUtilities.cpp:27:  You should add a blank line after implementation file's own header.  [build/include_order] [4]
Source/Platform/gtk/graphics/GdkCairoUtilities.cpp:36:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/graphics/GdkCairoUtilities.cpp:37:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/KeyBindingTranslator.cpp:120:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/KeyBindingTranslator.cpp:128:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/KeyBindingTranslator.cpp:130:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/KeyBindingTranslator.cpp:132:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/KeyBindingTranslator.cpp:134:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/KeyBindingTranslator.cpp:136:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/KeyBindingTranslator.cpp:138:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/KeyBindingTranslator.cpp:140:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/KeyBindingTranslator.cpp:142:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/KeyBindingTranslator.cpp:144:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/KeyBindingTranslator.cpp:146:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/graphics/ColorGtk.cpp:37:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/graphics/ColorGtk.cpp:38:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/graphics/ColorGtk.cpp:39:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/DragIcon.cpp:27:  You should add a blank line after implementation file's own header.  [build/include_order] [4]
Source/Platform/gtk/DragIcon.cpp:88:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/Platform/gtk/graphics/GdkCairoUtilities.h:29:  The parameter name "surface" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/Platform/gtk/graphics/ImageGtk.cpp:30:  Alphabetical sorting problem.  [build/include_order] [4]
Source/Platform/gtk/graphics/ImageGtk.cpp:33:  Alphabetical sorting problem.  [build/include_order] [4]
Source/Platform/gtk/graphics/ImageGtk.cpp:50:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/graphics/ImageGtk.cpp:54:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/graphics/ImageGtk.cpp:55:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/PlatformWheelEventGtk.cpp:29:  You should add a blank line after implementation file's own header.  [build/include_order] [4]
Source/Platform/gtk/PlatformWheelEventGtk.cpp:61:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/Platform/gtk/PlatformWheelEventGtk.cpp:75:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/Platform/gtk/LocalizedStringsGtk.cpp:33:  You should add a blank line after implementation file's own header.  [build/include_order] [4]
Source/Platform/gtk/LocalizedStringsGtk.cpp:34:  Alphabetical sorting problem.  [build/include_order] [4]
Source/Platform/gtk/LocalizedStringsGtk.cpp:40:  Alphabetical sorting problem.  [build/include_order] [4]
Source/Platform/gtk/LocalizedStringsGtk.cpp:513:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/LocalizedStringsGtk.cpp:514:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/LocalizedStringsGtk.cpp:653:  One space before end of line comments  [whitespace/comments] [5]
Source/Platform/gtk/GtkInputMethodFilter.cpp:140:  Omit int when using unsigned  [runtime/unsigned] [1]
Source/Platform/gtk/MIMETypeRegistryGtk.cpp:41:  Extra space before [  [whitespace/braces] [5]
Source/Platform/gtk/ContextMenuItemGtk.cpp:29:  Alphabetical sorting problem.  [build/include_order] [4]
Source/Platform/gtk/FileSystemGtk.cpp:98:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readabFailed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'Source/Platform/ChangeLog', u'Source/Platform/GNUmakefile.am', u'Source/Platform/GNUmakefile.list.am', u'Source/Platform/gtk/CompositionResults.h', u'Source/Platform/gtk/ContextMenuGtk.cpp', u'Source/Platform/gtk/ContextMenuItemGtk.cpp', u'Source/Platform/gtk/CursorGtk.cpp', u'Source/Platform/gtk/CursorGtk.h', u'Source/Platform/gtk/DragIcon.cpp', u'Source/Platform/gtk/DragIcon.h', u'Source/Platform/gtk/EventLoopGtk.cpp', u'Source/Platform/gtk/FileSystemGtk.cpp', u'Source/Platform/gtk/GOwnPtrGtk.cpp', u'Source/Platform/gtk/GOwnPtrGtk.h', u'Source/Platform/gtk/GRefPtrGtk.cpp', u'Source/Platform/gtk/GRefPtrGtk.h', u'Source/Platform/gtk/GtkAuthenticationDialog.cpp', u'Source/Platform/gtk/GtkAuthenticationDialog.h', u'Source/Platform/gtk/GtkClickCounter.cpp', u'Source/Platform/gtk/GtkClickCounter.h', u'Source/Platform/gtk/GtkInputMethodFilter.cpp', u'Source/Platform/gtk/GtkInputMethodFilter.h', u'Source/Platform/gtk/GtkPopupMenu.cpp', u'Source/Platform/gtk/GtkPopupMenu.h', u'Source/Platform/gtk/GtkUtilities.cpp', u'Source/Platform/gtk/GtkUtilities.h', u'Source/Platform/gtk/GtkWidgetBackingStoreX11.cpp', u'Source/Platform/gtk/KURLGtk.cpp', u'Source/Platform/gtk/KeyBindingTranslator.cpp', u'Source/Platform/gtk/KeyBindingTranslator.h', u'Source/Platform/gtk/LanguageGtk.cpp', u'Source/Platform/gtk/LocalizedStringsGtk.cpp', u'Source/Platform/gtk/LoggingGtk.cpp', u'Source/Platform/gtk/MIMETypeRegistryGtk.cpp', u'Source/Platform/gtk/MainFrameScrollbarGtk.cpp', u'Source/Platform/gtk/MainFrameScrollbarGtk.h', u'Source/Platform/gtk/PlatformKeyboardEventGtk.cpp', u'Source/Platform/gtk/PlatformMouseEventGtk.cpp', u'Source/Platform/gtk/PlatformScreenGtk.cpp', u'Source/Platform/gtk/PlatformWheelEventGtk.cpp', u'Source/Platform/gtk/RedirectedXCompositeWindow.cpp', u'Source/Platform/gtk/RedirectedXCompositeWindow.h', u'Source/Platform/gtk/RunLoopGtk.cpp', u'Source/Platform/gtk/SharedBufferGtk.cpp', u'Source/Platform/gtk/SharedTimerGtk.cpp', u'Source/Platform/gtk/SoundGtk.cpp', u'Source/Platform/gtk/TemporaryLinkStubs.cpp', u'Source/Platform/gtk/UserAgentGtk.cpp', u'Source/Platform/gtk/UserAgentGtk.h', u'Source/Platform/gtk/audio/AudioBusGtk.cpp', u'Source/Platform/gtk/graphics/ColorGtk.cpp', u'Source/Platform/gtk/graphics/GdkCairoUtilities.cpp', u'Source/Platform/gtk/graphics/GdkCairoUtilities.h', u'Source/Platform/gtk/graphics/ImageGtk.cpp', u'Source/Platform/gtk/graphics/IntPointGtk.cpp', u'Source/Platform/gtk/graphics/IntRectGtk.cpp', u'Source/Platform/gtk/network/CredentialBackingStore.cpp', u'Source/Platform/gtk/network/CredentialBackingStore.h', u'Source/Platform/gtk/text/TextBreakIteratorInternalICUGtk.cpp', u'Source/WebCore/ChangeLog', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/platform/audio/gtk/AudioBusGtk.cpp', u'Source/WebCore/platform/graphics/gtk/ColorGtk.cpp', u'Source/WebCore/platform/graphics/gtk/GdkCairoUtilities.cpp', u'Source/WebCore/platform/graphics/gtk/GdkCairoUtilities.h', u'Source/WebCore/platform/graphics/gtk/ImageGtk.cpp', u'Source/WebCore/platform/graphics/gtk/IntPointGtk.cpp', u'Source/WebCore/platform/graphics/gtk/IntRectGtk.cpp', u'Source/WebCore/platform/gtk/CompositionResults.h', u'Source/WebCore/platform/gtk/ContextMenuGtk.cpp', u'Source/WebCore/platform/gtk/ContextMenuItemGtk.cpp', u'Source/WebCore/platform/gtk/CursorGtk.cpp', u'Source/WebCore/platform/gtk/CursorGtk.h', u'Source/WebCore/platform/gtk/DragIcon.cpp', u'Source/WebCore/platform/gtk/DragIcon.h', u'Source/WebCore/platform/gtk/EventLoopGtk.cpp', u'Source/WebCore/platform/gtk/FileSystemGtk.cpp', u'Source/WebCore/platform/gtk/GOwnPtrGtk.cpp', u'Source/WebCore/platform/gtk/GOwnPtrGtk.h', u'Source/WebCore/platform/gtk/GRefPtrGtk.cpp', u'Source/WebCore/platform/gtk/GRefPtrGtk.h', u'Source/WebCore/platform/gtk/GtkAuthenticationDialog.cpp', u'Source/WebCore/platform/gtk/GtkAuthenticationDialog.h', u'Source/WebCore/platform/gtk/GtkClickCounter.cpp', u'Source/WebCore/platform/gtk/GtkClickCounter.h', u'Source/WebCore/platform/gtk/GtkInputMethodFilter.cpp', u'Source/WebCore/platform/gtk/GtkInputMethodFilter.h', u'Source/WebCore/platform/gtk/GtkPopupMenu.cpp', u'Source/WebCore/platform/gtk/GtkPopupMenu.h', u'Source/WebCore/platform/gtk/GtkUtilities.cpp', u'Source/WebCore/platform/gtk/GtkUtilities.h', u'Source/WebCore/platform/gtk/GtkWidgetBackingStoreX11.cpp', u'Source/WebCore/platform/gtk/KURLGtk.cpp', u'Source/WebCore/platform/gtk/KeyBindingTranslator.cpp', u'Source/WebCore/platform/gtk/KeyBindingTranslator.h', u'Source/WebCore/platform/gtk/LanguageGtk.cpp', u'Source/WebCore/platform/gtk/LocalizedStringsGtk.cpp', u'Source/WebCore/platform/gtk/LoggingGtk.cpp', u'Source/WebCore/platform/gtk/MIMETypeRegistryGtk.cpp', u'Source/WebCore/platform/gtk/MainFrameScrollbarGtk.cpp', u'Source/WebCore/platform/gtk/MainFrameScrollbarGtk.h', u'Source/WebCore/platform/gtk/PlatformKeyboardEventGtk.cpp', u'Source/WebCore/platform/gtk/PlatformMouseEventGtk.cpp', u'Source/WebCore/platform/gtk/PlatformScreenGtk.cpp', u'Source/WebCore/platform/gtk/PlatformWheelEventGtk.cpp', u'Source/WebCore/platform/gtk/RedirectedXCompositeWindow.cpp', u'Source/WebCore/platform/gtk/RedirectedXCompositeWindow.h', u'Source/WebCore/platform/gtk/RunLoopGtk.cpp', u'Source/WebCore/platform/gtk/SharedBufferGtk.cpp', u'Source/WebCore/platform/gtk/SharedTimerGtk.cpp', u'Source/WebCore/platform/gtk/SoundGtk.cpp', u'Source/WebCore/platform/gtk/TemporaryLinkStubs.cpp', u'Source/WebCore/platform/gtk/UserAgentGtk.cpp', u'Source/WebCore/platform/gtk/UserAgentGtk.h', u'Source/WebCore/platform/gtk/po/ChangeLog', u'Source/WebCore/platform/gtk/po/POTFILES.in', u'Source/WebCore/platform/network/gtk/CredentialBackingStore.cpp', u'Source/WebCore/platform/network/gtk/CredentialBackingStore.h', u'Source/WebCore/platform/text/gtk/TextBreakIteratorInternalICUGtk.cpp', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/GNUmakefile.am', u'Source/WebKit2/Shared/NativeWebKeyboardEvent.h', u'Source/WebKit2/Shared/gtk/WebEventFactory.h', u'Source/WebKit2/UIProcess/API/gtk/PageClientImpl.cpp', u'Source/WebKit2/UIProcess/API/gtk/WebKit2GtkAuthenticationDialog.h', u'Source/WebKit2/UIProcess/API/gtk/WebKitPrintOperation.cpp', u'Source/WebKit2/UIProcess/API/gtk/WebKitSettings.cpp', u'Source/WebKit2/UIProcess/API/gtk/WebKitUIClient.cpp', u'Source/WebKit2/UIProcess/API/gtk/WebKitWebView.cpp', u'Source/WebKit2/UIProcess/API/gtk/WebKitWebViewBase.cpp', u'Source/WebKit2/UIProcess/API/gtk/WebViewBaseInputMethodFilter.cpp', u'Source/WebKit2/UIProcess/API/gtk/tests/WebViewTest.cpp', u'Source/WebKit2/UIProcess/gtk/WebContextMenuProxyGtk.cpp', u'Source/WebKit2/UIProcess/gtk/WebInspectorProxyGtk.cpp', u'Source/WebKit2/UIProcess/gtk/WebPageProxyGtk.cpp', u'Source/WebKit2/UIProcess/gtk/WebPopupMenuProxyGtk.cpp', u'Source/WebKit2/UIProcess/gtk/WebPopupMenuProxyGtk.h', u'Tools/ChangeLog', u'Tools/GNUmakefile.am', u'Tools/TestWebKitAPI/GNUmakefile.am', u'Tools/TestWebKitAPI/gtk/PlatformWebViewGtk.cpp']" exit_code: 1
ility/comparison_to_zero] [5]
Source/Platform/gtk/FileSystemGtk.cpp:109:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
Source/Platform/gtk/FileSystemGtk.cpp:122:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
Source/Platform/gtk/FileSystemGtk.cpp:137:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
Source/Platform/gtk/FileSystemGtk.cpp:165:  An else statement can be removed when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
Source/Platform/gtk/FileSystemGtk.cpp:179:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
Source/Platform/gtk/FileSystemGtk.cpp:258:  Declaration has space between type name and * in GPatternSpec *pspec  [whitespace/declaration] [3]
Source/Platform/gtk/FileSystemGtk.cpp:332:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/FileSystemGtk.cpp:341:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/FileSystemGtk.cpp:350:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/Platform/gtk/GtkClickCounter.h:38:  Omit int when using unsigned  [runtime/unsigned] [1]
Source/Platform/gtk/LanguageGtk.cpp:23:  Alphabetical sorting problem.  [build/include_order] [4]
Source/Platform/gtk/LanguageGtk.cpp:27:  Alphabetical sorting problem.  [build/include_order] [4]
Source/Platform/gtk/LanguageGtk.cpp:38:  Use 0 instead of NULL.  [readability/null] [5]
Source/Platform/gtk/PlatformMouseEventGtk.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
Source/Platform/gtk/CursorGtk.cpp:30:  You should add a blank line after implementation file's own header.  [build/include_order] [4]
Source/Platform/gtk/LoggingGtk.cpp:23:  Found header this file implements after other header. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
Source/Platform/gtk/SharedTimerGtk.cpp:32:  Alphabetical sorting problem.  [build/include_order] [4]
Source/Platform/gtk/SharedTimerGtk.cpp:65:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
Source/Platform/gtk/GtkAuthenticationDialog.cpp:200:  Use 0 instead of NULL.  [readability/null] [5]
Source/Platform/gtk/GtkAuthenticationDialog.cpp:204:  Use 0 instead of NULL.  [readability/null] [5]
Source/Platform/gtk/GtkAuthenticationDialog.cpp:205:  Use 0 instead of NULL.  [readability/null] [5]
Source/Platform/gtk/GtkAuthenticationDialog.cpp:209:  Use 0 instead of NULL.  [readability/null] [5]
Source/Platform/gtk/GtkAuthenticationDialog.cpp:212:  Use 0 instead of NULL.  [readability/null] [5]
Source/Platform/gtk/GtkAuthenticationDialog.cpp:213:  Use 0 instead of NULL.  [readability/null] [5]
Source/Platform/gtk/GtkPopupMenu.h:71:  Omit int when using unsigned  [runtime/unsigned] [1]
Source/Platform/gtk/GtkPopupMenu.h:73:  Omit int when using unsigned  [runtime/unsigned] [1]
Total errors found: 362 in 88 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Carlos Garcia Campos 2013-03-18 03:52:01 PDT
I'm not sure I got this right, but isn't platform layer supposed to be independent from WebCore?
Comment 5 Zan Dobersek 2013-03-18 04:36:48 PDT
(In reply to comment #4)
> I'm not sure I got this right, but isn't platform layer supposed to be independent from WebCore?

Yes, it is supposed to and this patch preserves that. Only the code already independent of WebCore is moved, with only the Source/WebCore/platform directory and some of its subdirectories (along with ANGLE and Source/Platform/gtk directories and their subdirectories) listed as places where headers from the platform layer should be searched for.

This prevents including headers from other parts of WebCore, like modules, editing or DOM code and catches any layer violations (of which, with the current patch, there are none).
Comment 6 Carlos Garcia Campos 2013-03-18 04:49:04 PDT
But some of the files moved implement WebCore stuff like conxtext menu, cursors, etc. no?
Comment 7 Zan Dobersek 2013-03-18 04:58:34 PDT
These classes seem to be independent of WebCore, i.e. there's no inclusion of headers outside of Source/WebCore/platform. I believe this basically means that such source code from the platform layer is independent of WebCore yet still resides under Source/WebCore simply because that's where the platform layer code is currently located, but is intended to move to Source/Platform (bug #75664).

The move of such code isn't yet possible due to not all build systems being ready for the migration. In the case of GTK port, after it's moved, it would be built into libPlatform.la.
Comment 8 Gustavo Noronha (kov) 2013-03-18 06:08:56 PDT
(In reply to comment #6)
> But some of the files moved implement WebCore stuff like conxtext menu, cursors, etc. no?

That means WebCore depends on them, not the other way around. The problem is code that lives in platform using stuff from WebCore, such as DOM objects, FrameView, and so on.
Comment 9 Martin Robinson 2013-03-18 08:03:32 PDT
Hrm. Shouldn't we move in tandem with other ports? ANGLE should probably be in its own convenience library instead of either libplatform or libWebCore. I regret putting it there now.
Comment 10 Zan Dobersek 2013-03-18 08:51:35 PDT
(In reply to comment #9)
> Hrm. Shouldn't we move in tandem with other ports?

Hah, I'd like to see that though other ports are not yet actively working on this (or at least don't seem to). Anyway, the source code I'm planning to migrate first is GTK-specific only so it shouldn't affect other ports, yet I understand and agree that the migration should work out best if done by all ports in a time frame of a week or two instead of the more probable month or more.

(In reply to comment #9)
> ANGLE should probably be in its own convenience library instead of either libplatform or libWebCore. I regret putting it there now.

I reckon it should be put into a libLevelDB.la-like library.
Comment 11 Zan Dobersek 2013-03-18 08:57:20 PDT
As an alternative to jumping head-first into the migration of the GTK-specific source code I'd propose keeping the source code in its current place but have it build into libPlatformGtk, keeping the libPlatformGtk.la library independent of WebCore. This is pretty much what this patch does minus the source files' migration.

This would still make it possible to incrementally remove the remaining WebCore dependencies in the GTK-specific source code, thinning out libWebCoreGtk.la and building a libPlatformGtk.la that's free of platform violations. After libWebCoreGtk.la is removed and all the other ports are on board (with the general migration plan) it would be pretty straightforward to migrate the code.

A similar approach could be taken for libPlatform.la (which would contain port-independent platform layer code) - incrementally building source files into it, but keeping it independent of WebCore.
Comment 12 Zan Dobersek 2013-03-18 09:00:14 PDT
It was not explicitly pointed out, but the proposal in comment #11 introduces a possible workflow that (at least for GTK-specific source code, but applicable to other platform layer code as well) would not migrate files until they are free of platform violations.
Comment 13 Zan Dobersek 2013-03-20 09:15:54 PDT
Created attachment 194074 [details]
Provisional patch
Comment 14 Zan Dobersek 2013-03-26 10:02:22 PDT
Created attachment 195104 [details]
Patch
Comment 15 WebKit Review Bot 2013-03-26 10:05:02 PDT
Attachment 195104 [details] did not pass style-queue:

Source/WebCore/platform/gtk/GtkVersioning.c:21:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
Source/WebCore/platform/gtk/GtkVersioning.c:33:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:38:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:43:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:44:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:45:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:46:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:47:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:48:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:124:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:125:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:126:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:138:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:139:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:152:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:153:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:184:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:185:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:226:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:239:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:240:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:241:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:252:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:253:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:254:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:255:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:256:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:259:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'Source/Platform/ChangeLog', u'Source/Platform/GNUmakefile.am', u'Source/Platform/GNUmakefile.list.am', u'Source/Platform/gtk/GtkVersioning.c', u'Source/Platform/gtk/GtkVersioning.h', u'Source/WebCore/ChangeLog', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/platform/gtk/GtkVersioning.c', u'Source/WebCore/platform/gtk/GtkVersioning.h', u'Source/WebKit/gtk/ChangeLog', u'Source/WebKit/gtk/GNUmakefile.am', u'Source/WebKit2/ChangeLog', u'Source/WebKit2/GNUmakefile.am', u'Source/WebKit2/Scripts/generate-forwarding-headers.pl', u'Source/WebKit2/Shared/gtk/ArgumentCodersGtk.cpp', u'Source/WebKit2/Shared/gtk/WebEventFactory.cpp', u'Source/WebKit2/UIProcess/API/gtk/WebKitWebViewBase.cpp', u'Source/WebKit2/WebProcess/Plugins/Netscape/x11/NetscapePluginX11.cpp', u'Tools/ChangeLog', u'Tools/GNUmakefile.am']" exit_code: 1
Source/WebCore/platform/gtk/GtkVersioning.c:260:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:261:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:262:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:263:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:324:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.c:356:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.h:37:  The parameter name "surface" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/platform/gtk/GtkVersioning.h:38:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.h:39:  The parameter name "drawable" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/platform/gtk/GtkVersioning.h:52:  The parameter name "window" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/platform/gtk/GtkVersioning.h:52:  The parameter name "content" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/platform/gtk/GtkVersioning.h:87:  The parameter name "window" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/platform/gtk/GtkVersioning.h:108:  The parameter name "adjustment" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/platform/gtk/GtkVersioning.h:109:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebCore/platform/gtk/GtkVersioning.h:114:  The parameter name "window" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebCore/platform/gtk/GtkVersioning.h:118:  The parameter name "invocationHint" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit2/WebProcess/Plugins/Netscape/x11/NetscapePluginX11.cpp:45:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 45 in 20 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 16 kov's GTK+ EWS bot 2013-03-26 10:13:29 PDT
Comment on attachment 195104 [details]
Patch

Attachment 195104 [details] did not pass gtk-ews (gtk):
Output: http://webkit-commit-queue.appspot.com/results/17341005
Comment 17 Zan Dobersek 2013-03-28 10:00:01 PDT
(In reply to comment #16)
> (From update of attachment 195104 [details])
> Attachment 195104 [details] did not pass gtk-ews (gtk):
> Output: http://webkit-commit-queue.appspot.com/results/17341005

Pretty sure a clean build will be required.
Comment 18 Zan Dobersek 2013-03-28 10:11:53 PDT
Thanks!

I'll recheck that a clean build works and then land this, with care.
Comment 19 Zan Dobersek 2013-03-28 11:56:13 PDT
Committed r147137: <http://trac.webkit.org/changeset/147137>